summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarius Mauch <genone@gentoo.org>2007-01-09 01:23:08 +0000
committerMarius Mauch <genone@gentoo.org>2007-01-09 01:23:08 +0000
commitf405e906e88d6c8f0d07fe60db0dae2c91e69aeb (patch)
tree5720dbe6e1f35e1575c7b99b659185bed04a0dab /bin/ebuild.sh
parentAlways run src_test when calling 'ebuild foo test' (diff)
downloadportage-multirepo-f405e906e88d6c8f0d07fe60db0dae2c91e69aeb.tar.gz
portage-multirepo-f405e906e88d6c8f0d07fe60db0dae2c91e69aeb.tar.bz2
portage-multirepo-f405e906e88d6c8f0d07fe60db0dae2c91e69aeb.zip
Disable qa_source usage until it actually works
svn path=/main/trunk/; revision=5488
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 5abc44bf..2dfe9e4a 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -45,7 +45,7 @@ qa_call() {
if [ "$*" != "depend" ] && [ "$*" != "clean" ] && [ "$*" != "nofetch" ]; then
if [ -f "${T}/environment" ]; then
- qa_source "${T}/environment" &>/dev/null
+source "${T}/environment" &>/dev/null
fi
fi
@@ -126,7 +126,7 @@ for dir in ${PROFILE_PATHS}; do
# Must unset it so that it doesn't mess up assumptions in the RCs.
unset IFS
if [ -f "${dir}/profile.bashrc" ]; then
- qa_source "${dir}/profile.bashrc"
+source "${dir}/profile.bashrc"
fi
done
restore_IFS
@@ -1260,7 +1260,7 @@ inherit() {
#turn on glob expansion
set +f
- qa_source "$location" || die "died sourcing $location in inherit()"
+source "$location" || die "died sourcing $location in inherit()"
#turn off glob expansion
set -f